Show the Firefox Account profile image when signed in to Sync
When the user has a Firefox Account profile image set, it should appear in the in-content preferences beside the username and replace the Sync icon in the toolbar menu.